// components/GoodsInfo/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        dataSource:{
            type:Object,
            value:{},
        }
    },

    /**
     * 组件的初始数据
     */
    data: {
        detail: {},
        coverImage: ''
    },
    observers: {
        'dataSource'(value) {
            if(value) {
               let detail = this.data.detail
               detail = {...value}
               detail.coverImage = value.goodsImage.split(',')[0]
               this.setData({ detail })
            }
        }
    },
    /**
     * 组件的方法列表
     */
    methods: {

    }
})
